Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.desktop
Class DesktopIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<DesktopID>
              com.bea.portal.tools.portal.desktop.DesktopIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

Deprecated - use `DesktopDefinitionIDBuilder`

    public final class DesktopIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<DesktopID>

Identifies the collection of portal resource definitions.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`DesktopIDBuilder()` Deprecated Constructor.

Method Summary
`DesktopID` | `createResourceID()` Deprecated Create the `DesktopID`.
`DesktopInstanceId` | `getDesktopInstanceId()` Deprecated Get the `DesktopInstanceId`.
`DesktopIDBuilder` | `parseResourceURN(String resourceURN)` Deprecated Parse the given URN.
`DesktopIDBuilder` | `setDesktopInstanceId(DesktopInstanceId desktopInstanceId)` Deprecated Change the `DesktopInstanceId`.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DesktopIDBuilder

    public DesktopIDBuilder()

  Deprecated
  Constructor.

Method Detail

### parseResourceURN

    public DesktopIDBuilder parseResourceURN(String resourceURN)

  Deprecated
  Parse the given URN. resourceURN the URN of the referrent resource this `DesktopIDBuilder`

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<DesktopID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `ResourceIDBuilder`

### getDesktopInstanceId

    public DesktopInstanceId getDesktopInstanceId()

  Deprecated
  Get the `DesktopInstanceId`.

  Returns
    the `DesktopInstanceId`

### setDesktopInstanceId

    public DesktopIDBuilder setDesktopInstanceId(DesktopInstanceId desktopInstanceId)

  Deprecated
  Change the `DesktopInstanceId`.

  Parameters
    `desktopId` - the `DesktopInstanceId`
  Returns
    this `DesktopIDBuilder`

### createResourceID

    public DesktopID createResourceID()

  Deprecated
  Create the `DesktopID`. the `DesktopID`

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<DesktopID>`
  Returns
    the `ResourceID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.